org.keycloak.representations.idm.authorization

## Class ResourceServerRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.ResourceServerRepresentation

-     public class ResourceServerRepresentation
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServerRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `String` | `getId()`
    `String` | `getName()`
    `List<PolicyRepresentation>` | `getPolicies()`
    `PolicyEnforcementMode` | `getPolicyEnforcementMode()`
    `List<ResourceRepresentation>` | `getResources()`
    `List<ScopeRepresentation>` | `getScopes()`
    `boolean` | `isAllowRemoteResourceManagement()`
    `void` | `setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)`
    `void` | `setClientId(String clientId)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setPolicies(List<PolicyRepresentation> policies)`
    `void` | `setPolicyEnforcementMode(PolicyEnforcementMode policyEnforcementMode)`
    `void` | `setResources(List<ResourceRepresentation> resources)`
    `void` | `setScopes(List<ScopeRepresentation> scopes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceServerRepresentation

          public ResourceServerRepresentation()

  - ### Method Detail

    - #### setId

          public void setId(String id)

    - #### getId

          public String getId()

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isAllowRemoteResourceManagement

          public boolean isAllowRemoteResourceManagement()

    - #### setAllowRemoteResourceManagement

          public void setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)

    - #### getPolicyEnforcementMode

          public PolicyEnforcementMode getPolicyEnforcementMode()

    - #### setPolicyEnforcementMode

          public void setPolicyEnforcementMode(PolicyEnforcementMode policyEnforcementMode)

    - #### setResources

          public void setResources(List<ResourceRepresentation> resources)

    - #### getResources

          public List<ResourceRepresentation> getResources()

    - #### setPolicies

          public void setPolicies(List<PolicyRepresentation> policies)

    - #### getPolicies

          public List<PolicyRepresentation> getPolicies()

    - #### setScopes

          public void setScopes(List<ScopeRepresentation> scopes)

    - #### getScopes

          public List<ScopeRepresentation> getScopes()

Copyright © 2016 JBoss by Red Hat. All rights reserved.